| Home | Libraries | People | FAQ | More

## Struct template rolling_count_impl

boost::accumulators::impl::rolling_count_impl

## Synopsis

    // In header: <boost/accumulators/statistics/rolling_count.hpp>

    template<typename Sample>
    struct rolling_count_impl {
      // types
      typedef std::size_t result_type;

      // construct/copy/destruct
      rolling_count_impl(dont_care);

      // public member functions
      template<typename Args> result_type result(Args const &) const;
    };

## Description

### `rolling_count_impl` public construct/copy/destruct

1.     rolling_count_impl(dont_care);

### `rolling_count_impl` public member functions

1.     template<typename Args> result_type result(Args const & args) const;